deckhand/tools/run_pifpaf.sh
Felipe Monteiro 9cae8f3b2b Switch to stestr
stestr is actively maintained. OpenStack is migrating to stestr,
so we should follow suit.

Change-Id: I1b958681cbf53281c9da91c747c9a2cfe2beccf3
2018-03-28 13:06:46 -04:00

24 lines
436 B
Bash
Executable File

#!/usr/bin/env bash
# This script is used for guaranteeing that `pifpaf` returns non-zero codes
# upon test failure.
function cleanup {
pifpaf_stop
}
trap cleanup EXIT
# Instantiate an ephemeral PostgreSQL DB and print out the `pifpaf` environment
# variables for debugging purposes.
set -ex
eval `pifpaf run postgresql`
env | grep PIFPAF
set +ex
set -eo pipefail
TESTRARGS=$1
stestr run --concurrency=1 --slowest $TESTRARGS